Name: 		mplayer
Version: 	0.90
# where 0 is for pre, 8 for pre #, and 1 is release
%define		prever	8
Release: 	0.%{prever}.1
Summary: 	MPlayer, a movie player for Linux.

Group: 		Applications/Multimedia
License: 	GPL
URL: 		http://mplayerhq.hu/
Vendor:         Dave/Dina <package@davedina.apestaart.org>
Source0: 	http://www2.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}pre%{prever}.tar.bz2
Source1: 	http://www2.mplayerhq.hu/MPlayer/releases/mp-arial-iso-8859-1.zip
Source2: 	http://www2.mplayerhq.hu/MPlayer/releases/mp-arial-iso-8859-2.zip
BuildRoot: 	%{_tmppath}/%{name}-root

Requires:	libdvdread
Requires:	libdvdcss
Requires:	gtk+
Requires:	SDL
Requires:	divx4linux
Requires:	lame
Requires:	libvorbis
Requires:	lirc
BuildRequires:  libdvdread-devel
BuildRequires:  gtk+-devel
BuildRequires:  SDL-devel
BuildRequires:  divx4linux
BuildRequires:  lame-devel
BuildRequires:  libvorbis-devel
BuildRequires:  lirc
BuildRequires:  DD-DD-VO-G400TVO

BuildRequires:	findutils
BuildRequires:	unzip

AutoReqProv: no

# The default font size for subtitles : 14, 18, 24 or 28
%define fontsize	18

# Default font encoding, you may easily change to iso-8859-2 if needed
%define	fontdir		iso-8859-1

%description
MPlayer is a movie player. It plays most MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV,
FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, OGG and some RealMedia files, supported
by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD,
3ivx, FLI, and even DivX movies too (and you don't need the avifile library at
all!). 
Another big feature of mplayer is the wide range of supported output
drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can
use SDL (and this way all drivers of SDL), VESA (on every VESA compatible card,
even without X!), and some lowlevel card-specific drivers (for Matrox, 3Dfx and
Radeon) too! 

Most of them support software or hardware scaling, so you can
enjoy movies in fullscreen. MPlayer supports displaying through some hardware
MPEG decoder boards, such as the DVB and DXR3/Hollywood+ ! And what about the
nice big antialiased shaded subtitles (9 supported types!!!)

This build of mplayer removes some superfluous dependencies we don't need (yet)
like libdv, aalib, and arts, as well as the ugly GUI.

%prep
%setup -q -n MPlayer-%{version}pre%{prever}

%build
find . -name "CVS" | xargs rm -rf
CFLAGS="%{optflags}" ./configure \
	--target=%{_target_platform} \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/mplayer \
	--confdir=%{_sysconfdir}/mplayer \
	--enable-largefiles \
	--disable-gui \
	--enable-win32 \
	--enable-joystick \
        --enable-mga --enable-xmga \
	--enable-i18n \
	--enable-runtime-cpudetection \
	--disable-gcc-checking \
	--disable-arts \
	--disable-alsa << EOF
EOF
make %{?_smp_mflags:%{_smp_mflags}}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir}/mplayer \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/mplayer \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

# The font for the subtitles
pushd $RPM_BUILD_ROOT%{_datadir}/mplayer
	rmdir font || :
	unzip %{SOURCE1}
	unzip %{SOURCE2}
	ln -s -f %{fontdir}/arial-%{fontsize} font
popd

%pre
# We have a link... some have an empty dir, this fixes it!
[ -d %{_datadir}/mplayer/font ] && \
	rmdir %{_datadir}/mplayer/font 2>/dev/null || :

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc AUTHORS ChangeLog DOCS/ README etc/*.conf
%dir %{_sysconfdir}/mplayer
%config %{_sysconfdir}/mplayer/codecs.conf
%{_prefix}/bin/*
%{_libdir}/*
%{_datadir}/mplayer
%{_mandir}/man1/*

%changelog
* Tue Oct 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from freshrpms spec file
- added mga drivers
- removed arts, aalib and libdv for now
- removed gui and skin

* Fri Sep 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre8.
- Added some files to the %%doc section.

* Thu Sep  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre7.
- Removed obsolete prefix.
- Explicitely disable ALSA for now.

* Mon Aug 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with libdvdnav... but removed, just too experimental :-(
- Added direct DVD menu entry.

* Mon Aug 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added arts dependency.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre6.
- Added aalib and lirc build dependencies to get a full-featured binary.
- Updated %%description.
- Added iso-8859-2 font in the package.
- Cleaned up old unuseful hacks.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre5.

* Tue May 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre4.
- Overwrite the absolute link for the mencoder.1 man page.

* Sat May 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the mime types for the menu entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added CFLAGS for configure and i18n.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre2.
- Fixed the libGLcore.so.1 and lirc dependencies.
- Build with gcc 2.96 instead of gcc3.

* Fri Apr 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre1, fully GPL at last! Here come the binary packages :-)

* Fri Feb  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's current version.
- Added 3 skins + removed workaround since skin archives are fixed.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- %doc cleanup and update to today's build.
- Modified for the new CONFDIR stuff.

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

