Name: 		flac
Version: 	1.0.3
Release: 	gst.1
Summary: 	An encoder/decoder for the Free Lossless Audio Codec.

Group: 		Applications/Multimedia
License: 	GPL
URL: 		http://flac.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	http://prdownloads.sourceforge.net/flac/%{name}-%{version}.tar.gz
Patch:		flac-build.patch
BuildRoot: 	%{_tmppath}/%{name}-root

Requires: 	libogg
BuildRequires:	libogg-devel
BuildRequires:	nasm
BuildRequires:	gcc-c++

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package devel
Summary: 	Static libraries and header files for FLAC.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.


#%package xmms
#Summary: 	xmms plugin to play FLAC files
#Group: 		Applications/Multimedia
#Requires: 	xmms >= 0.9.5.1
#Requires:	%{name} = %{version}
#
#BuildRequires:	xmms-devel
#BuildRequires:	glib-devel
#BuildRequires:	gtk+-devel
#
#%define 	xmmsinputdir	%(xmms-config --input-plugin-dir)
#
#%description xmms
#An input plugin that enables playback of FLAC files in xmms.

%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{xmmsinputdir}

%makeinstall \
	xmmsinputplugindir=$RPM_BUILD_ROOT%{xmmsinputdir}

find doc/ -name "Makefile*" -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr (-,root,root)
%doc AUTHORS COPYING* README doc
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/libFLAC.so.*
%{_mandir}/man1/*

%files devel
%defattr (-,root,root)
%{_includedir}/FLAC/*.h
%{_includedir}/FLAC++/*.h
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.so

#%files xmms
#%defattr (-,root,root)
#%{xmmsinputdir}/*.la
#%{xmmsinputdir}/*.so
#
%changelog
* Wed Sep 18 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Transmogrified from the freshrpms spec
- fixed up BuildRequires and configure/make install
- commented out xmms plug-in, doesn't build right

* Thu Jul  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

