Name:		perl-SGI-FAM
Version:	1.002
Release:	2
Summary:	Perl interface to SGI/Irix File Access Monitor

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/SGI-FAM/
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/J/JG/JGLICK/SGI-FAM-%{version}.tar.gz
Patch:		%{name}-fix.patch
BuildRoot:      %{_tmppath}/%{name}-root

### do funky distro detection stuff
if [ `rpm -q redhat-release >/dev/null 2>&1; echo $?` = 0 ]; then
    releasename=redhat
    release=`rpm -q redhat-release | sed -e 's;^redhat-release-;;' -e
's;-[0-9]*$;;'`
elif [ `rpm -q mandrake-release >/dev/null 2>&1; echo $?` = 0 ]; then
    releasename=mandrake
    release=`rpm -q mandrake-release | sed -e 's;^mandrake-release-;;' -e
's;-[0-9]*mdk$;;'`
else
    releasename=unknown
    release=0.0
fi
major=`echo $release | sed -e 's;\.[0-9]*$;;'`
minor=`echo $release | sed -e 's;^[0-9]*\.;;'`

Requires:	perl
Requires:	fam
Requires:	perl-File-PathConvert

BuildRequires:	perl
BuildRequires:	fam-devel
BuildRequires:	perl-Test-Helper
BuildRequires:	perl-File-PathConvert

%if %{release} -eq "redhat" && %{major} == 8
Requires:	perl-MD5
BuildRequires:	perl-MD5
%else
Requires:	perl-Digest-MD5
BuildRequires:	perl-Digest-MD5
%endif

%description
SGI::Fam is a Perl interface to the SGI/Irix File Access Monitor.

FAM, the File Alteration Monitor, provides an API that applications can use 
to be notified when specific files or directories are changed.

FAM comes in two parts: fam, the daemon that listens for requests and 
delivers notification, and libfam, a library that client applications 
can use to communicate with fam.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n SGI-FAM-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- updated for Red Hat 8.0

* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- perl 5.8 seems to have removed .packlist, so do this differently

* Tue Sep 10 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first draft
- removed monitor from the package as it's man page conflicts with LPRng's
  monitor


