%define		perlname 	WWW-EuroTV
Name:		perl-%{perlname}
Version:	0.5
Release:	1
Summary:	Grab TV listings from www.eurotv.com

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}/
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/J/JO/JOHANVDB/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

# spec file trickery, please don't look
%{expand:%%define buildforrh7 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 7.2 -o "$A" = 7.3 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildforrh8 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 8.0 -o "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

Requires:	perl
Requires:	perl-Attribute-Memoize
Requires:	perl-Class-MethodMaker
Requires:	perl-DateManip
Requires:	perl-HTML-Parser
Requires:	perl-libwww-perl
BuildRequires:	perl
BuildRequires:	perl-Attribute-Memoize
BuildRequires:	perl-Class-MethodMaker
BuildRequires:	perl-DateManip
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-libwww-perl

%if %buildforrh7
# this is included in perl in 8.x
Requires:	perl-Memoize
BuildRequires:	perl-Memoize
%endif

%description
This   package   grew   out   of   my   Channel0   PalmOS  application
(http://www.tektonica.com/projects/channel0),
it  is  an  app  that let's you view the weeks TV guide on your PalmOS
PDA.

The data is mined from http://www.eurotv.com.
Note  that the data seems to be cached at their site. this means that,
sometimes, you'll get an outdated program listing. To be easy on their
web server, we are caching the data locally, using the Memoize module.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
# test fails on rh7.3, no idea why exactly
# make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat Dec 28 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- first draft
