Name:		eggdrop
Version: 	1.6.3
Release: 	1
Summary: 	The most widely used IRC robot (also known as a "bot").

Group: 		System Environment/Daemons
License: 	GPL
URL: 		http://www.eggheads.org/
Source: 	ftp://ftp.eggheads.org/pub/eggdrop/source/1.6/eggdrop%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root

BuildRequires:	tcl >= 8.2
Requires: 	tcl >= 8.3

%description
Eggdrop is an IRC bot, written in C. If you don't know what IRC is, this
is probably not whatever you're looking for! Eggdrop, being a bot, sits
on a channel and takes protective measures: to keep the channel from
being taken over (in the few ways that anything CAN), to recognize
banished users or sites and reject them, to recognize privileged users
and let them gain ops, etc.

%prep
%setup -q -n eggdrop%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

make config
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DEST=$RPM_BUILD_ROOT%{_localstatedir}/eggdrop

# Put the docs into place
find doc/ -name "Makefile*" -exec rm {} \;
mv doc/html .
mv scripts/*botchk .
mkdir examples ; mv eggdrop.*.conf examples
install -D -m 644 doc/man1/eggdrop.1 $RPM_BUILD_ROOT%{_mandir}/man1/eggdrop.1
rmdir doc/web_docs
rm -rf doc/man1

# Clean-up what was installed
pushd $RPM_BUILD_ROOT%{_localstatedir}/eggdrop
  rm -rf README doc eggdrop eggdrop.*.conf filesys logs modules \
	scripts/*botchk
  mv modules-%{version} modules
  mkdir -p $RPM_BUILD_ROOT%{_bindir}
  mv eggdrop-%{version} $RPM_BUILD_ROOT%{_bindir}/eggdrop
popd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING FEATURES INSTALL NEWS README doc examples html *botchk
%{_bindir}/eggdrop
%{_localstatedir}/eggdrop
%{_mandir}/man*/*

%changelog
* Wed Feb 28 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.6.3.

* Fri Jan 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.6.2 + bindsfix patch

* Sat Dec 23 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

