Name:		phpMyAdmin
Version:	2.2.5
Release:	1
Summary:	phpMyAdmin - web-based MySQL administration

License:	GPL v2
Group:		Applications/Databases
Packager:	thomas@apestaart.org
Source:		http://belnet.dl.sourceforge.net/sourceforge/phpmyadmin/%{name}-%{version}-php.tar.bz2
URL:		http://sourceforge.net/projects/phpmyadmin/

Requires:	mysql
Requires:	php-mysql
Requires:	webserver
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define		_myadmindir	/var/www/html/phpMyAdmin

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
  - create and drop databases
  - create, copy, drop and alter tables
  - delete, edit and add fields
  - execute any SQL-statement, even batch-queries
  - manage keys on fields
  - load text files into tables
  - create (*) and read dumps of tables
  - export (*) and import data to CSV values
  - administer multiple servers and single databases
  - communicate in more than 20 different languages

Remember to edit %{_myadmindir}/config.inc.php to suit your settings.

%prep
%setup -q

%install
### fix the cfgPmaAbsoluteUri to point to localhost
cp config.inc.php config.inc.php.bak
sed -e "s,cfgPmaAbsoluteUri = '';,cfgPmaAbsoluteUri = 'http://localhost/phpMyAdmin/';,g" \
  config.inc.php.bak > config.inc.php

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_myadmindir}/{lang,images,libraries,libraries/auth}

install *.php *.html badwords.txt $RPM_BUILD_ROOT%{_myadmindir}
install images/*.{gif,png} $RPM_BUILD_ROOT%{_myadmindir}/images
install lang/*.php $RPM_BUILD_ROOT%{_myadmindir}/lang
install libraries/*.{js,php} $RPM_BUILD_ROOT%{_myadmindir}/libraries
install libraries/auth/*.php $RPM_BUILD_ROOT%{_myadmindir}/libraries/auth

gzip -9nf Documentation.txt ANNOUNCE.txt README TODO ChangeLog

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.gz
%dir %{_myadmindir}
%dir %{_myadmindir}/lang
%attr(640,root,apache) %config(noreplace) %verify(not size mtime md5) %{_myadmindir}/config.inc.php
%{_myadmindir}/d*.php
%{_myadmindir}/footer.inc.php
%{_myadmindir}/header.inc.php
%{_myadmindir}/index.php
%{_myadmindir}/l*.php
%{_myadmindir}/main.php
%{_myadmindir}/mult_submits.inc.php
%{_myadmindir}/phpinfo.php
%{_myadmindir}/read_dump.php
%{_myadmindir}/s*.php
%{_myadmindir}/tbl_*.php
%{_myadmindir}/user_details.php
%{_myadmindir}/badwords.txt

%{_myadmindir}/*.html
%{_myadmindir}/lang/*.php
%{_myadmindir}/images
%{_myadmindir}/libraries

%changelog
* Sat Mar 30 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted to Red Hat 7.2 from PLD's spec file (RPM database, webroot, ...)
- use http://localhost/phpMyAdmin/ as the absolute URL

